none
ASPNETDB.MDF' cannot be opened because it is version 655. This server supports version 612 and earlier.

    Question

  • The database 'C:\DOCUMENTS AND SETTINGS\IPCL.NYP-IPCL-I402\DESKTOP\FACILITYBOOKING\APP_DATA\ASPNETDB.MDF' cannot be opened because it is version 655. This server supports version 612 and earlier. A downgrade path is not supported.

    i encountered this error when i run my project on VS 2008. however i had already installed SQL2008, VS SP1 and hotfix and even set the instance name in vs2008 to that of SQL 2008. however i still encountered this problem.

     

    what can i do to make it work?

    Thursday, June 03, 2010 4:16 AM

Answers

  • Version 655 indicates Sql Server 2008

    Version 612 indicates Sql Sever 2005

    As far as I remember VS 2008 does not support adding Sql Server 2008 databases through App_Data folder (Microsoft promissed to resolve the problem in one of the hotfixes or service packs, however I do not know if they acctually did it [I am not using App_Data folder to add db files])

    The solution would be to remove the files from app data, and define connection string in web.config, then use that  connection string to connect to db.


    With kind regards
    Krystian Zieja
    http://www.projectnenvision.com
    Follow me on twitter
    My Blog
    Thursday, June 03, 2010 4:36 AM
  • When you attach the database on sql2k8 (i.e. via vs2k8), the meta data for the database is upgraded to sql2k8. Once the database is upgraded to the newer version, it cannot be attached to a lower version of sqlserver. This is by design.

    Your best bet at this point is to recreate the database in sql2k5 and use Import/Export wizard to transfer the data from your sql2k8 to sql2k5.

     

     

     

     


    http://rac4sql.net
    Thursday, June 03, 2010 7:50 AM
    Moderator

All replies

  • Version 655 indicates Sql Server 2008

    Version 612 indicates Sql Sever 2005

    As far as I remember VS 2008 does not support adding Sql Server 2008 databases through App_Data folder (Microsoft promissed to resolve the problem in one of the hotfixes or service packs, however I do not know if they acctually did it [I am not using App_Data folder to add db files])

    The solution would be to remove the files from app data, and define connection string in web.config, then use that  connection string to connect to db.


    With kind regards
    Krystian Zieja
    http://www.projectnenvision.com
    Follow me on twitter
    My Blog
    Thursday, June 03, 2010 4:36 AM
  • i had also defined it in the connection string but it just dont work.
    Thursday, June 03, 2010 4:43 AM
  • But the error indicates that you hve not remove it from app_Data folder


    With kind regards
    Krystian Zieja
    http://www.projectnenvision.com
    Follow me on twitter
    My Blog
    Thursday, June 03, 2010 5:11 AM
  • When you attach the database on sql2k8 (i.e. via vs2k8), the meta data for the database is upgraded to sql2k8. Once the database is upgraded to the newer version, it cannot be attached to a lower version of sqlserver. This is by design.

    Your best bet at this point is to recreate the database in sql2k5 and use Import/Export wizard to transfer the data from your sql2k8 to sql2k5.

     

     

     

     


    http://rac4sql.net
    Thursday, June 03, 2010 7:50 AM
    Moderator